"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertTextToLiteral = exports.convertText = void 0;
/** Convert for Text */
function convertText(node, parent, ctx) {
    const text = Object.assign({ type: "SvelteText", value: node.data, parent }, ctx.getConvertLocation(node));
    let start = node.start;
    let word = false;
    for (let index = node.start; index < node.end; index++) {
        if (word !== Boolean(ctx.code[index].trim())) {
            if (start < index) {
                ctx.addToken("HTMLText", { start, end: index });
            }
            word = !word;
            start = index;
        }
    }
    if (start < node.end) {
        ctx.addToken("HTMLText", { start, end: node.end });
    }
    return text;
}
exports.convertText = convertText;
/** Convert for Text to Literal */
function convertTextToLiteral(node, parent, ctx) {
    const text = Object.assign({ type: "SvelteLiteral", value: node.data, parent }, ctx.getConvertLocation(node));
    let start = node.start;
    let word = false;
    for (let index = node.start; index < node.end; index++) {
        if (word !== Boolean(ctx.code[index].trim())) {
            if (start < index) {
                ctx.addToken("HTMLText", { start, end: index });
            }
            word = !word;
            start = index;
        }
    }
    if (start < node.end) {
        ctx.addToken("HTMLText", { start, end: node.end });
    }
    return text;
}
exports.convertTextToLiteral = convertTextToLiteral;
