"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getParser = exports.getParserName = void 0;
const espree_1 = require("./espree");
/** Get parser name */
function getParserName(attrs, parser) {
    if (parser) {
        if (typeof parser === "string" && parser !== "espree") {
            return parser;
        }
        else if (typeof parser === "object") {
            const name = parser[attrs.lang || "js"];
            if (typeof name === "string") {
                return getParserName(attrs, name);
            }
        }
    }
    return "espree";
}
exports.getParserName = getParserName;
/** Get parser */
function getParser(attrs, parser) {
    const name = getParserName(attrs, parser);
    if (name !== "espree") {
        // eslint-disable-next-line @typescript-eslint/no-require-imports -- ignore
        return require(name);
    }
    return (0, espree_1.getEspree)();
}
exports.getParser = getParser;
